<#ibiztemplate>
TARGET=PSAPPDATAENTITY
</#ibiztemplate>
package ${pub.getPKGCodeName()}.${app.getPKGCodeName()?lower_case}.security.permission.${de.getPSSystemModule().codeName?lower_case};

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import ${pub.getPKGCodeName()}.${app.getPKGCodeName()?lower_case}.${de.getPSSystemModule().codeName?lower_case}.service.${item.getCodeName()}Service;
import ${pub.getPKGCodeName()}.${app.getPKGCodeName()?lower_case}.${de.getPSSystemModule().codeName?lower_case}.domain.${item.getCodeName()};

@Component("${item.getCodeName()?lower_case}_pms")
public class ${item.getCodeName()}Permission {
<#assign keyCNLC = "_id">
<#assign itemCodeName = item.getCodeName()>
<#assign itemCodeNameLC = itemCodeName?lower_case>

    @Autowired
    ${item.getCodeName()}Service ${item.getCodeName()?lower_case}service;

<#--  主实体  start -->
<#if item.isMajor()>
<#assign parentParams = "">
<#assign idParams = "">
<#assign idParams = idParams  + srfjavatype(de.getKeyPSDEField().stdDataType) + " " + itemCodeNameLC + keyCNLC + ", String action" >
<#if item.getAllPSAppDEMethods()??>
    public boolean check(String action){
        return true ;
    }

    public boolean check(${idParams}){
        return true ;
    }

</#if>
</#if>
<#--  主实体  end  -->

<#--  关系接口  start  -->
<#if item.getPSAppDERSPathCount() gt 0>
  <#list 0..1000 as x>
    <#if x gte item.getPSAppDERSPathCount()>
      <#break>
    <#else>
        <#assign parentParams = "">
        <#assign byParams = "By">
        <#assign idParams = "">
        <#assign noIdParams = "">
      <#list item.getPSAppDERSPath(x) as rs>
        <#assign rsMainAppDe = rs.getMajorPSAppDataEntity()>
        <#assign rsMainDe = rsMainAppDe.getPSDataEntity()>
        <#assign rsMainAppDeCN = rsMainAppDe.codeName >
        <#assign rsMainAppDeCNLC = rsMainAppDeCN?lower_case >
        <#assign rsMainDePKCN = rsMainDe.getKeyPSDEField().codeName >
        <#assign rsMainDePKCNLC = rsMainDePKCN?lower_case >
        <#assign rsMainDePKDataType = rsMainDe.getKeyPSDEField().stdDataType >
        <#if x != 0>
          <#assign parentParams += ", ">
        </#if>
        <#assign parentParams += "" + srfjavatype(rsMainDePKDataType) + " " + rsMainAppDeCNLC + keyCNLC >
        <#assign byParams += rsMainAppDeCN >
        <#if parentParams != "" >
          <#assign idParams = parentParams + ", ">
          <#assign noIdParams = parentParams + ", ">
        </#if>
      </#list>
        <#assign idParams = idParams + " " + srfjavatype(de.getKeyPSDEField().stdDataType) + " " + itemCodeNameLC + keyCNLC +", String action">
        <#assign noIdParams = noIdParams + " String action">
      <#if item.getAllPSAppDEMethods()??>
    public boolean check${byParams}(${idParams}){
        return true ;
    }

    public boolean check${byParams}(${noIdParams}){
        return true ;
    }

    </#if>
    </#if>
  </#list>
</#if>
<#--  关系接口  end  -->

}
